Complete Multipart Upload
curl --request POST \
--url https://api.apexxcloud.com/api/v1/files/multipart/{uploadId}/complete \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Signature: <api-key>' \
--header 'X-Timestamp: <api-key>' \
--data '
{
"parts": [
{
"PartNumber": 123,
"ETag": "<string>"
}
]
}
'import requests
url = "https://api.apexxcloud.com/api/v1/files/multipart/{uploadId}/complete"
payload = { "parts": [
{
"PartNumber": 123,
"ETag": "<string>"
}
] }
headers = {
"X-Access-Key": "<api-key>",
"X-Signature": "<api-key>",
"X-Timestamp": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Signature': '<api-key>',
'X-Timestamp': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({parts: [{PartNumber: 123, ETag: '<string>'}]})
};
fetch('https://api.apexxcloud.com/api/v1/files/multipart/{uploadId}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"message": "Multipart upload completed successfully",
"key": "<string>",
"location": "https://cdn.apexxcloud.com/f/{access_id}/{path}",
"size": 123,
"bucket": "<string>",
"region": "<string>",
"content_type": "<string>"
}
}{
"message": "Bucket not found"
}{
"error": "Internal server error"
}Multipart Upload
Complete Multipart Upload
POST
/
api
/
v1
/
files
/
multipart
/
{uploadId}
/
complete
Complete Multipart Upload
Authorizations
Your API Access Key
HMAC SHA-256 signature of the request
ISO 8601 timestamp of the request
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Multipart upload completed successfully
Show child attributes
Show child attributes
⌘I